Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('itemclassificationcode.nonexistent', 'EN', 'The item classification [{0}] - [{1}]  does not exists.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('itemclassificationcode.pk.null', 'EN', 'The item classification code PK is null.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('itemclassificationcode.item.nonexistent', 'EN', 'The item with id {0} does not exists.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('catalogueversion.alreadyexists', 'EN', 'The version {0} of the catalogue with id {1} and seller identification [{2}] has been already submitted.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('cataloguelineactioncode.new', 'EN', 'A previous version of the catalogue line (to be created) with seller identification [{0}] already exists.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('cataloguelineactioncode.update', 'EN', 'A previous version of the catalogue line (to be updated) with seller identification [{0}] doesn''t exist.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The action has not been performed. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('cataloguelineactioncode.delete', 'EN', 'A previous version of the catalogue line (to be deleted) with seller identification [{0}] doesn''t exist.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The action has not been performed. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('cataloguelineactioncode.nonexistent', 'EN', 'The catalogue line with seller identification [{0}] has a wrong action code or no action code specified.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('cataloguelineactioncode.identificationId', 'EN', 'The seller identification has not been specified', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.party_check_postaladdress', 'EN', 'Element Party misses child element PostalAddress', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.party_check_partytaxscheme', 'EN', 'Element Party misses child element PartyTaxScheme', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.party_tax_scheme_check_companyid', 'EN', 'Element PartyTaxScheme misses child element CompanyID', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.address_check_cityname', 'EN', 'Element PostalAddress misses child element CityName', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.address_check_postalzone', 'EN', 'Element PostalAddress misses child element PostalZone', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.address_check_country', 'EN', 'Element PostalAddress misses child element Country', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.id_check', 'EN', 'The ID of the message cannot be empty', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.id_length_check', 'EN', 'The ID of the message cannot be larger than 250 characters', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.id_invalid_char', 'EN', 'The ID of the message contains an invalid character', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.referencedcontract_check_number_warning', 'EN', 'Not more than one ReferencedContract class should be present', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.referencedcontract_check_number_error', 'EN', 'A ReferencedContract class must be present', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.referencedcontract_check_id', 'EN', 'ReferencedContract ID should be present and not empty', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_date_range', 'EN', 'Period startdate is later than enddate', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.standarditemidentification_check_schemeid', 'EN', 'Attribute schemeID should be provided for a StandardItemIdentification/ID element', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.priceamount_check', 'EN', 'Element PriceAmount should not contain a negative value', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.commodityclassification_check', 'EN', 'Both ItemClassificationCode and ItemClassificationCode/@listID must be present and not empty in CommodityClassification', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.linevalidityperiod_check', 'EN', 'The LineValidityPeriod should fall within the range of the ValidityPeriod defined at document level', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.quantity_range_check', 'EN', 'The MaximumQuantity should be greater or equal to the MinimumQuantity within the same parent element', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.quantity_negativity_check', 'EN', 'A Quantity should not be negative', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.item_check_classifiedtaxcategory', 'EN', 'Element Item misses child element ClassifiedTaxCategory', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.item_check_name_or_description', 'EN', 'An item should contain a Name or a Description which is not empty', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'No action taken');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_addressformatcode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist AddressFormatCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_allowancechargereasoncode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist AllowanceChargeReasonCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_countryidentificationcode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist CountryIdentificationCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_taxtypecode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist TaxTypeCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_currencycode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist CurrencyCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_documenttypecode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist DocumentTypeCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_taxcategoryid', 'EN', 'Value supplied is unacceptable for an element controlled by codelist TaxCategoryID', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_taxschemeid', 'EN', 'Value supplied is unacceptable for an element controlled by codelist TaxSchemeID', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_commoditycode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist CommodityCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('itemclassificationcode.contract.not.specified', 'EN', 'The contract ID has not been specified.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('itemclassificationcode.contract.nonexistent', 'EN', 'The contract [{0}] does not exists.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has not been imported');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_taxexemptionreasoncode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist TaxExemptionReasonCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('error.invalid_codetable_value_lifecyclestatuscode', 'EN', 'Value supplied is unacceptable for an element controlled by codelist LifeCycleStatusCode', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('catalogueline.rejection.generic.error', 'EN', 'The line {0} has been rejected because of a generic error occurred [{1}].', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The item has been discarded. The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('catalogueversion.end.date.before.start.date', 'EN', 'The validity end date [{0}] cannot be before the validity start date [{1}].', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been rejected.');
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('catalogueversion.end.date.past', 'EN', 'The validity end date [{0}] cannot be in the past.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been rejected.');
	
Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('document_reference.specified', 'EN', 'Document references must not be specified.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The provided document has been discarded.');

Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('item.relationship.creation.error', 'EN', 'The relationship between {0} and {1} cannot be created.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The relationship was not created.');

Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('import.partial_update.not_allowed', 'EN', 'The partial updated is allowed only if a previous version of the catalogue exists and is in ACTIVE status.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been rejected.');

Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('import.incorrect.action.codes', 'EN', 'The action codes are not correctly specified.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been rejected.');

Insert into CAT_TB_WARNING_DESC
   (WAD_WAT_CODE, WAD_LANG, WAD_DESCRIPTION, WAD_CRE_DT, WAD_CRE_ID, 
    WAD_MOD_DT, WAD_MOD_ID, WAD_ACTION)
 Values
   ('import.validity_period.not_specified', 'EN', 'The validity period has not been specified.', CURRENT_TIMESTAMP, 'PRIOR_USER', 
    CURRENT_TIMESTAMP, 'PRIOR_USER', 'The catalogue has been set as out-of-date.');
	
COMMIT;
