CREATE TABLE PAP_TB_MESSAGE
(
  MSG_ID			 		VARCHAR(100)               	NOT NULL,
  MSG_CRE_DT    	 		TIMESTAMP                  	NOT NULL,
  MSG_DOCIDSCHEME	 		VARCHAR(100)				NOT NULL,		
  MSG_DOCIDVALUE  	 		VARCHAR(100)				NOT NULL,
  MSG_PROCESSSCHEME  		VARCHAR(100)				NOT NULL,
  MSG_PROCESSVALUE   		VARCHAR(50)					NOT NULL,
  MSG_SENDERIDSCHEME 		VARCHAR(100)				NOT NULL,
  MSG_SENDERIDVALUE	 		VARCHAR(50)					NOT NULL,
  MSG_RECIPIENTIDSCHEME 	VARCHAR(100)				NOT NULL,
  MSG_RECIPIENTIDVALUE 		VARCHAR(50)					NOT NULL,
  MSG_DOCCONTENT	 		LONGVARBINARY			 	NOT NULL,
  MSG_DIRECTION				VARCHAR(10)					NOT NULL,
  MSG_STATUS				VARCHAR(20)					NOT NULL	
);

CREATE UNIQUE INDEX PAP_IX_MESSAGE ON PAP_TB_MESSAGE(MSG_ID);

ALTER TABLE PAP_TB_MESSAGE ADD PRIMARY KEY (MSG_ID);

